/***************************************************************************
 * aifffffs_dir.h: Interface to directory handling functions.
 * Copyright (C) 2011 Michael C McTernan,
 *    Michael.McTernan.2001@cs.bris.ac.uk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ***************************************************************************/

#ifndef AIFFFFS_DIR_H
#define AIFFFFS_DIR_H

/**************************************************************************
 * Includes
 **************************************************************************/

#include <fuse.h>
#include <stdint.h>

/**************************************************************************
 * Macros
 **************************************************************************/

/**************************************************************************
 * Types
 **************************************************************************/

/**************************************************************************
 * Prototypes
 **************************************************************************/

int Aifffffs_opendir(const char *path, struct fuse_file_info *fi);
int Aifffffs_readdir(const char            *path,
                     void                  *buf,
                     fuse_fill_dir_t        filler,
                     off_t                  offset,
                     struct fuse_file_info *fi);
int Aifffffs_releasedir(const char *path, struct fuse_file_info *fi);

#endif /* AIFFFFS_DIR_H */

/* END OF FILE */
