/***************************************************************************
 * aifffffs.h: File handling.
 * Copyright (C) 2011 Michael C McTernan,
 *    Michael.McTernan.2001@cs.bris.ac.uk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ***************************************************************************/

#ifndef AIFFFFFS_FILE_H
#define AIFFFFFS_FILE_H

/**************************************************************************
 * Includes
 **************************************************************************/

#include <stdint.h>

/**************************************************************************
 * Macros
 **************************************************************************/

/**************************************************************************
 * Types
 **************************************************************************/

/**************************************************************************
 * Prototypes
 **************************************************************************/

int Aifffffs_open(const char *path, struct fuse_file_info *fi);
int Aifffffs_create(const char            *path,
                    mode_t                 mode,
                    struct fuse_file_info *fi);

int Aifffffs_ftruncate(const char            *path,
                       off_t                  size,
                       struct fuse_file_info *fi);
int Aifffffs_read(const char            *path,
                  char                  *buf,
                  size_t                 size,
                  off_t                  offset,
                  struct fuse_file_info *fi);
int Aifffffs_write(const char            *path,
                   const char            *buf,
                   size_t                 size,
                   off_t                  offset,
                   struct fuse_file_info *fi);
int Aifffffs_fgetattr(const char            *path __attribute__((unused)),
                      struct stat           *stbuf,
                      struct fuse_file_info *fi);
int Aifffffs_flush(const char *path, struct fuse_file_info *fi);
int Aifffffs_release(const char *path, struct fuse_file_info *fi);

#endif /* AIFFFFFS_FILE_H */

/* END OF FILE */
